Qt 5.8 | Qt 3D | C++ Classes | QTechniqueFilter

Qt 5.8.0 Reference Documentation

# QTechniqueFilter Class

(Qt3DRender::QTechniqueFilter)

Provides storage for vectors of Filter Keys and Parameters More...

Header: | #include <QTechniqueFilter>
qmake: | QT += 3drender
Since: | Qt 5.7
Inherits: | Qt3DRender::QFrameGraphNode
Inherited By: | Qt3DExtras::QForwardRenderer

- List of all members, including inherited members

## Public Functions

| QTechniqueFilter(Qt3DCore::QNode *parent = nullptr)
void | addMatch(QFilterKey *filterKey)
void | addParameter(QParameter *parameter)
QVector<QFilterKey *> | matchAll() const
QVector<QParameter *> | parameters() const
void | removeMatch(QFilterKey *filterKey)
void | removeParameter(QParameter *parameter)

- 1 public function inherited from Qt3DRender::QFrameGraphNode
- 6 public functions inherited from Qt3DCore::QNode

## Protected Functions

| QTechniqueFilter(QTechniqueFilterPrivate &dd, Qt3DCore::QNode *parent = nullptr)

- 2 protected functions inherited from Qt3DCore::QNode

### Additional Inherited Members

- 2 properties inherited from Qt3DCore::QNode
- 2 public slots inherited from Qt3DCore::QNode
- 3 signals inherited from Qt3DCore::QNode

## Detailed Description

Provides storage for vectors of Filter Keys and Parameters

## Member Function Documentation

### QTechniqueFilter::QTechniqueFilter(Qt3DCore::QNode *parent = nullptr)

Default constructs an instance of QTechniqueFilter.

### `[protected]` QTechniqueFilter::QTechniqueFilter(QTechniqueFilterPrivate &dd, Qt3DCore::QNode *parent = nullptr)

Copy constructor.

### void QTechniqueFilter::addMatch(QFilterKey *filterKey)

Add the filter key filterKey to the match vector.

### void QTechniqueFilter::addParameter(QParameter *parameter)

Add the parameter parameter to the parameter vector.

### QVector<QFilterKey *> QTechniqueFilter::matchAll() const

Returns a vector of the current keys for the filter.

### QVector<QParameter *> QTechniqueFilter::parameters() const

Returns the current vector of parameters.

### void QTechniqueFilter::removeMatch(QFilterKey *filterKey)

Remove the filter key filterKey from the match vector.

### void QTechniqueFilter::removeParameter(QParameter *parameter)

Remove the parameter parameter from the parameter vector.